---
sidebar_position: 4
description: Delete block and other functions to work with Notion in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Notion]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Delete block
 Deletes block by ID



`Function DeleteBlock(Val Token, Val BlockID) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | BlockID | --block | String | &#x2714; | Block ID |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Notion



```bsl title="1C:Enterprise/OneScript code example"
    Token = "secret_9RsfMrRMqZwqp0Zl0B...";
    Block = "2c582aa7-fc4e-8108-87cc-fe6338c03fca";

    Result = OPI_Notion.DeleteBlock(Token, Block);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint notion DeleteBlock \
             --token "***" \
             --block "2c582aa7-fc4e-8153-8786-f20303320755"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint notion DeleteBlock ^
             --token "***" ^
             --block "2c582aa7-fc4e-8153-8786-f20303320755"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "object": "block",
 "id": "2c582aa7-fc4e-8153-8786-f20303320755",
 "parent": {
  "type": "page_id",
  "page_id": "5dd94c34-fab0-4bff-986b-7511c0779f77"
 },
 "created_time": "2025-12-10T19:37:00Z",
 "last_edited_time": "2025-12-10T19:37:00Z",
 "created_by": {
  "object": "user",
  "id": "8b07422e-eeea-40d1-8d5e-c784211825b0"
 },
 "last_edited_by": {
  "object": "user",
  "id": "8b07422e-eeea-40d1-8d5e-c784211825b0"
 },
 "has_children": false,
 "archived": true,
 "in_trash": true,
 "type": "to_do",
 "to_do": {
  "rich_text": [
   {
    "type": "text",
    "text": {
     "content": "YoYO",
     "link": null
    },
    "annotations": {
     "bold": false,
     "italic": false,
     "strikethrough": false,
     "underline": false,
     "code": false,
     "color": "default"
    },
    "plain_text": "YoYO",
    "href": null
   }
  ],
  "checked": false,
  "color": "default"
 },
 "request_id": "d12a1046-57ab-466b-8ec0-0e769541b739"
}
```
